### Method

# ECal ComponentParameterBag copy

since: 3.34

#### Declaration [src]

    ECalComponentParameterBag*
    e_cal_component_parameter_bag_copy (
      const ECalComponentParameterBag* bag
    )

#### Description [src]

Returns a newly allocated copy of `bag`, which should be freed with e_cal_component_parameter_bag_free(), when no longer needed.

Available since: 3.34

#### Return value

Type: `ECalComponentParameterBag`

A newly allocated copy of `bag`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.